import { RxNotificationKind, } from '../model';
import { map, materialize } from 'rxjs/operators';
import { toRxCompleteNotification, toRxErrorNotification, } from './notification-transforms';
const notificationToRxNotification = (notification) => {
    const kind = rxJsToRxA[notification.kind];
    if (kind === RxNotificationKind.error) {
        return toRxErrorNotification(notification.error);
    }
    if (kind === RxNotificationKind.complete) {
        return toRxCompleteNotification(notification.value);
    }
    return Object.assign(Object.assign({}, notification), { error: false, complete: false, kind });
};
const ɵ0 = notificationToRxNotification;
const rxJsToRxA = {
    C: RxNotificationKind.complete,
    E: RxNotificationKind.error,
    N: RxNotificationKind.next,
};
export function rxMaterialize() {
    return (o$) => o$.pipe(materialize(), 
    /*tap(({ kind, error }) => {
      if (kind === 'E') {
        console.error(error);
      }
    }),*/
    map(notificationToRxNotification));
}
export { ɵ0 };
//# sourceMappingURL=rxMaterialize.js.map