import { ChangeDetectorRef } from '@angular/core';
import { MonoTypeOperatorFunction, Observable } from 'rxjs';
import { RxAngularConfig, RxStrategies, RxStrategyNames, RxStrategyCredentials } from '../model';
import { ScheduleOnStrategyOptions } from './model';
/**
 *
 *
 * @docsCategory RenderStrategies
 * @docsPage RenderStrategies
 * @publicApi
 */
export declare class RxStrategyProvider<T extends string = string> {
    private _strategies$;
    private _primaryStrategy$;
    private _cfg;
    get config(): Required<RxAngularConfig<T>>;
    get strategies(): RxStrategies<T>;
    get strategyNames(): string[];
    get primaryStrategy(): RxStrategyNames<T>;
    set primaryStrategy(strategyName: RxStrategyNames<T>);
    readonly primaryStrategy$: Observable<RxStrategyCredentials>;
    readonly strategies$: Observable<Record<RxStrategyNames<T>, RxStrategyCredentials<string>>>;
    readonly strategyNames$: Observable<string[]>;
    constructor(cfg: RxAngularConfig<T>);
    scheduleWith<R>(work: (v?: R) => void, options?: ScheduleOnStrategyOptions): MonoTypeOperatorFunction<R>;
    schedule<R>(work: () => R, options?: ScheduleOnStrategyOptions): Observable<R>;
    scheduleCD(cdRef: ChangeDetectorRef, options?: ScheduleOnStrategyOptions & {
        afterCD?: () => void;
        abortCtrl?: AbortController;
    }): AbortController;
}
