import { RxStrategyCredentials, RxCustomStrategyCredentials } from '../model';
import { Observable } from 'rxjs';
/**
 * @internal
 *
 * A factory function returning an object to handle the process of turning strategy names into `RxStrategyCredentials`
 * You can next a strategy name as Observable or string and get an Observable of `RxStrategyCredentials`
 *
 * @param defaultStrategyName
 * @param strategies
 */
export declare function strategyHandling(defaultStrategyName: string, strategies: RxCustomStrategyCredentials<string>): {
    strategy$: Observable<RxStrategyCredentials>;
    next(name: string | Observable<string>): void;
};
