export declare const focusEvents: string[];
/**
 * Mouse Events
 * (MouseEvent)[https://developer.mozilla.org/en-US/docs/Web/API/MouseEvent]
 */
export declare const mouseEvents: (keyof WindowEventMap)[];
/**
 * Wheel Events
 * (WheelEvent)[https://developer.mozilla.org/en-US/docs/Web/API/WheelEvent]
 */
export declare const wheelEvents: (keyof WindowEventMap)[];
export declare const inputEvents: (keyof WindowEventMap)[];
/**
 * @deprecated
 */
export declare const formControlsEvents: (keyof WindowEventMap)[];
export declare const keyboardEvents: (keyof WindowEventMap)[];
export declare const vrEvents: (keyof WindowEventMap)[];
export declare const mSGestureEvents: (keyof WindowEventMap)[];
export declare const printEvents: (keyof WindowEventMap)[];
export declare const networkEvents: (keyof WindowEventMap)[];
export declare const audioEvents: (keyof WindowEventMap)[];
export declare const compositionEvents: string[];
/**
 * Touch Events
 * [PointerEvent](https://developer.mozilla.org/en-US/docs/Web/API/PointerEvent)
 * [TouchEvent](https://developer.mozilla.org/en-US/docs/Web/API/TouchEvent)
 */
export declare const touchEvents: (keyof WindowEventMap)[];
export declare const globalEvents: (keyof WindowEventMap)[];
export declare const websocketEvents: (keyof WebSocketEventMap)[];
/**
 * Basic XHR Events
 * [Load](https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequest/load_event)
 * [Error](https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequest/error_event)
 * There are more events you may want to unpatch https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequest
 */
export declare const xhrEvents: string[];
export declare const windowEvents: (keyof WindowEventMap)[];
/**
 * All Events combined
 */
export declare const allEvents: string[];
