export interface ZoneGlobalDisableConfigurations {
    EventEmitter?: boolean;
    fs?: boolean;
    node_timers?: boolean;
    nextTick?: boolean;
    crypto?: boolean;
    defineProperty?: boolean;
    registerElement?: boolean;
    EventTargetLegacy?: boolean;
    /**
     * Don't patch timing API – setTimeout ans setInterval
     **/
    timers?: boolean;
    /**
     * Don't patch requestAnimationFrame
     **/
    requestAnimationFrame?: boolean;
    blocking?: boolean;
    EventTarget?: boolean;
    /**
     ** Don't patch FileReaded API calls
     **/
    FileReader?: boolean;
    MutationObserver?: boolean;
    IntersectionObserver?: boolean;
    on_property?: boolean;
    customElements?: boolean;
    /**
     * Don't patch XHR requests(better be used through unpatchXHR() method)
     **/
    XHR?: boolean;
    /**
     * Don't patch geolocation API calls
     **/
    geolocation?: boolean;
    canvas?: boolean;
    ZoneAwarePromise?: boolean;
}
export declare type ZoneGlobalDisableConfigurationsKey = keyof ZoneGlobalDisableConfigurations;
export declare const zoneGlobalDisableConfigurationsKeys: ZoneGlobalDisableConfigurationsKey[];
export interface ZoneGlobalEventsConfigurations {
    /**
     * Array of events which should be unpatched. i.e. 'click', 'scroll', 'load'
     **/
    UNPATCHED_EVENTS?: string[];
    PASSIVE_EVENTS?: string[];
}
export declare type ZoneGlobalEventsConfigurationsKey = keyof ZoneGlobalEventsConfigurations;
export declare const zoneGlobalEventsConfigurationsKeys: ZoneGlobalEventsConfigurationsKey[];
export interface ZoneGlobalSettingsConfigurations {
    DISABLE_WRAPPING_UNCAUGHT_PROMISE_REJECTION?: boolean;
}
export declare type ZoneGlobalSettingsConfigurationsKey = keyof ZoneGlobalSettingsConfigurations;
export declare const zoneGlobalSettingsConfigurationsKeys: ZoneGlobalSettingsConfigurationsKey[];
export interface ZoneRuntimeConfigurations {
    ignoreConsoleErrorUncaughtError?: boolean;
}
export declare type ZoneRuntimeConfigurationsKey = keyof ZoneRuntimeConfigurations;
export declare const zoneRuntimeConfigurationsKeys: ZoneRuntimeConfigurationsKey[];
export interface ZoneTestDisableConfigurations {
    jasmine?: boolean;
    mocha?: boolean;
    jest?: boolean;
}
export declare type ZoneTestDisableConfigurationsKey = keyof ZoneTestDisableConfigurations;
export declare const zoneTestDisableConfigurationsKeys: ZoneTestDisableConfigurationsKey[];
export interface ZoneTestSettingsConfigurations {
    fakeAsyncDisablePatchingClock?: boolean;
    fakeAsyncAutoFakeAsyncWhenClockPatched?: boolean;
    supportWaitUnResolvedChainedPromise?: boolean;
}
export declare type ZoneTestSettingsConfigurationsKey = keyof ZoneTestSettingsConfigurations;
export declare const zoneTestSettingsConfigurationsKeys: ZoneTestSettingsConfigurationsKey[];
export interface ZoneFlagsHelperFunctions {
    __rxa_zone_config__log?: () => void;
}
